Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Transform

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Group
                  |
                  +--shout3d.core.Transform

public class Transform
extends Group
implements FieldObserver

A Transform.

Field Summary
`FloatArrayField` | `center`
`float[]` | `defaultCenter`
`float[]` | `defaultRotation`
`float[]` | `defaultScale`
`float[]` | `defaultScaleOrientation`
`float[]` | `defaultTranslation`
`FloatArrayField` | `rotation`
`FloatArrayField` | `scale`
`FloatArrayField` | `scaleOrientation`
`FloatArrayField` | `translation`

Fields inherited from class shout3d.core.Group
`children, defaultChildArray, hidden`

Constructor Summary
`Transform()` Constructs a default Transform

Method Summary
`float[]` | `getInverseMatrix()` Get the matrix equal to the inverse of this Transform.
`float[]` | `getMatrix()` Gets the 4x4 matrix that transforms from local to parent space, based on current field values
`void` | `onFieldChange(Field theField, java.lang.Object userData)` Subclasses must call this within their own onFieldChange() methods.

Methods inherited from class shout3d.core.Group
`addChildren, getCameraBBoxMax, getCameraBBoxMin, getLocalBBoxMax, getLocalBBoxMin, getWorldBBoxMax, getWorldBBoxMin, removeChildren`

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultCenter

    public final float[] defaultCenter

### defaultRotation

    public final float[] defaultRotation

### defaultScale

    public final float[] defaultScale

### defaultScaleOrientation

    public final float[] defaultScaleOrientation

### defaultTranslation

    public final float[] defaultTranslation

### center

    public final FloatArrayField center

### rotation

    public final FloatArrayField rotation

### scale

    public final FloatArrayField scale

### scaleOrientation

    public final FloatArrayField scaleOrientation

### translation

    public final FloatArrayField translation

Constructor Detail

### Transform

    public Transform()

  Constructs a default Transform

Method Detail

### getMatrix

    public float[] getMatrix()

  Gets the 4x4 matrix that transforms from local to parent space, based on current field values
  Returns:
    the matrix
  Overrides:
    getMatrix in class Group

### getInverseMatrix

    public float[] getInverseMatrix()

  Get the matrix equal to the inverse of this Transform. Transforms vectors from this node's parent space into its local space.
  Returns:
    the inverse matrix for this transform.
  Overrides:
    getInverseMatrix in class Group

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  Subclasses must call this within their own onFieldChange() methods.
  Specified by:
    onFieldChange in interface FieldObserver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD